Patch Rule

Patch Rule
Updates Customer Rule

This API updates customer rule. Only rule name update is allowed. It returns the updated rule definition.

Request
URI
PATCH
https://umip/api/v1/rules/{id}
COPY
Path Parameters
string
id
Required

The id(UUID) of a customer rule


Request Body

Rule update definition

PatchRuleRequest of type(s) application/json
Required
{
    "name": "string"
}
string
name
Optional
Constraints: minLength: 1 maxLength: 170

name

Authentication
This operation uses the following authentication methods.
Responses
200

Rule updated

Returns PatchRuleResponse of type(s) application/json
{
    "productType": "string",
    "productId": 0,
    "name": "string",
    "targetId": "string",
    "targetType": "string",
    "id": "string"
}
string
productType
Optional

productType

Possible values are : vCenter, VCD,
integer
productId
Optional
Constraints: minimum: 1

productId

string
name
Optional

name

string
targetId
Optional

targetId

string
targetType
Optional

targetType

Possible values are : vCenter, VCD, Datacenter, ClusterComputeResource, ResourcePool, HostSystem, Folder, vcd_organization,
string As ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
id
Optional

id


400

Invalid data for one or more fields in the request

Returns 400InvalidRequest of type(s) application/json
{
    "errCode": "GW_REQ_KEY",
    "errMessage": "Not found expected value for key 'sampleKey'"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


401

Unauthorized - Invalid login credentials

{
    "errCode": "string"
}
string
errCode
Optional

errCode


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'